name: coverage

on:
  push:
    branches: [v2.8]
  pull_request:
    branches: [v2.8]

jobs:
  report:
    runs-on: ubuntu-22.04
    strategy:
      matrix:
        python-version: ["3.10"]
    steps:
      - uses: actions/checkout@v3
      - name: Set up Python ${{ matrix.python-version }}
        uses: actions/setup-python@v3
        with:
          python-version: ${{ matrix.python-version }}

      - name: Before install
        run: |
          sudo apt-get update
          sudo apt-get install graphviz graphviz-dev

      - name: Install packages
        run: |
          pip install --upgrade pip wheel setuptools
          pip install -r requirements/default.txt -r requirements/test.txt
          pip install -r requirements/extra.txt
          pip install .
          pip list

      - name: Test NetworkX
        run: |
          pytest --cov=networkx --runslow --doctest-modules --durations=20 --pyargs networkx
          codecov
